// NeoPixel Ring simple sketch (c) 2013 Shae Erisson, modified Marcel Isler 2017 for speech countdown
// released under the GPLv3 license to match the rest of the AdaFruit NeoPixel library

#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
  #include <avr/power.h>
#endif

// Which pin on the Arduino is connected to the NeoPixels?
// On a Trinket or Gemma we suggest changing this to 1
#define PIN            6

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS      60

// Speech time in milliseconds? This value has to be changed depending on speech time!
#define TIME      30000

// When we setup the NeoPixel library, we tell it how many pixels, and which pin to use to send signals.
// Note that for older NeoPixel strips you might need to change the third parameter--see the strandtest
// example for more information on possible values.
Adafruit_NeoPixel pixels = Adafruit_NeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

int delayval = TIME/60; // delay for the sixtieth part of speech time which is the time for one LED

void setup() {


  pixels.begin(); // This initializes the NeoPixel library.
}

void loop() {

  // For a set of NeoPixels the first NeoPixel is 0, second is 1, all the way up to the count of pixels minus one.

  for(int i=0;i<NUMPIXELS;i++){

    // pixels.Color takes RGB values, from 0,0,0 up to 255,255,255
    pixels.setPixelColor(i, pixels.Color(0,150,0)); // Moderately bright green color.

    if(i > 35)
   pixels.setPixelColor(i, pixels.Color(255,150,0)); // Moderately bright yellow color.

   if(i > 47)
   pixels.setPixelColor(i, pixels.Color(150,0,0)); // Moderately bright red color.

   
    pixels.show(); // This sends the updated pixel color to the hardware.

    delay(delayval); // Delay for a period of time (in milliseconds).


}
for (int i = 0; i < 5; i++) // The following blue lights script repeats 5 times
{
for(int i=0;i<NUMPIXELS;i++){
  pixels.setPixelColor(i, pixels.Color(0,0,155)); // Moderately bright blue color.
  pixels.show();
  }
  for(int i=0;i<NUMPIXELS;i++){
  pixels.setPixelColor(i, pixels.Color(0,0,0)); // no color.
  pixels.show();
  delay(10);
}
}
{
for(int i=0;i<NUMPIXELS;i++){
  pixels.setPixelColor(i, pixels.Color(0,0,0)); // no color and wait a long time or press the Arduino restart button to start again.
  pixels.show();
 { delay(100000000);
   } 
  } 
  } 
  } 
  

  



